# -*- coding: utf-8 -*-
from setuphelpers import *
from setupdevhelpers import *
import json

# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def update_package():
    result = False
    proxies = get_proxies()

    if not proxies:
        proxies = get_proxies_from_wapt_console()
     
        
    git_repo = "SmartBear/soapui"
    url_api = "https://api.github.com/repos/%s/releases/latest" % git_repo   
    # Getting latest version information from official sources
    print("API used is: %s" % url_api)
    json_load = json.loads(wgets(url_api, proxies=proxies))

    exe_download_link = None
    for line in json_load["body"].split("\r\n"):
        if "SoapUI-" in line and line.endswith(".tar.gz)"):
            exe_download_link = line.split("(")[1].replace(")", "")
            filename = exe_download_link.split("/")[-1]
            version = json_load["tag_name"].replace("v","")
            break

    if not isfile(filename):
        package_updated = True
        wget(exe_download_link,filename,proxies=proxies)

    #nettoyer les fichiers temporaires
    for f in glob.glob('*.tar.gz'):
        if f != filename:
            remove_file(f)       
   
    control.set_software_version(version)
    control.save_control_to_wapt()
